### Function

# Gtk TreeViewSearchEqualFunc

#### Declaration

    gboolean
    (* GtkTreeViewSearchEqualFunc) (
      GtkTreeModel* model,
      int column,
      const char* key,
      GtkTreeIter* iter,
      gpointer search_data
    )

#### Description [src]

A function used for checking whether a row in `model` matches a search key string entered by the user. Note the return value is reversed from what you would normally expect, though it has some similarity to `strcmp()` returning 0 for equal strings.

#### Parameters

`model`

  Type: `GtkTreeModel`

  The `GtkTreeModel` being searched.

  The data is owned by the caller of the function.

`column`

  Type: `int`

  The search column set by `gtk_tree_view_set_search_column()`

`key`

  Type: `const char*`

  The key string to compare with.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`iter`

  Type: `GtkTreeIter`

  A `GtkTreeIter` pointing the row of `model` that should be compared with `key`.

  The data is owned by the caller of the function.

`search_data`

  Type: `gpointer`

  User data from `gtk_tree_view_set_search_equal_func()`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`FALSE` if the row matches, `TRUE` otherwise.